program MagUtility_AA_report;

uses
  Forms,
  TConfiguratorUnit,
  SysUtils,
  uMagUtility in 'uMagUtility.pas' {fMagUtility},
  cMagUtilityBroker in 'cMagUtilityBroker.pas',
  cMagUtilityUtils in 'cMagUtilityUtils.pas';

{$R *.res}
var
  /// holds the current directory to write log files to
  logsDir : string;

begin
  Application.Initialize;
  logsDir := cMagUtilityUtils.GetAppPath() + '\logs';
  if not DirectoryExists(logsDir) then
  begin
    ForceDirectories(logsDir);
  end;
//  TConfiguratorUnit.doBasicConfiguration;
  TConfiguratorUnit.doPropertiesConfiguration(ExtractFileDir(Application.ExeName)
   + '\logging.properties');
  Application.CreateForm(TfMagUtility, fMagUtility);
  Application.Run;
end.
